.reviews-section {
    position: relative;
    padding: 6.25rem 0;
    overflow: hidden;
}

.reviews-heading {
    text-align: center;
    margin-bottom: 3.375rem;
    color: var(--bi-black);
}

.reviews-dual-slider {
    display: flex;
    margin: 0 12rem;
    position: relative;
    z-index: 2;
    gap: 1.25rem;
}

.reviews-main::before {
    content: "";
    position: absolute;
    right: -2rem;
    top: 20%;
    transform: translateY(-50%);
    width: 440px;
    height: 313px;
    background-repeat: no-repeat;
    background-size: contain;
    pointer-events: none;
    z-index: 1;
    background-image: url('data:image/svg+xml,<svg width="499" height="319" viewBox="0 0 499 319" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M22.9326 5.13184L76.9326 246.436L259.933 83.5174L362.933 263.855L492.933 296.132" stroke="%23292929" stroke-opacity="0.04" stroke-width="47"/></svg>');
}

.reviews-main {
    flex-grow: 1;
    padding: 3.75rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 3;
    background-color: var(--white);
}

.review-body {
    margin-bottom: 7.5rem;
}

.review-text-main {
    color: var(--bi-black);
    margin-bottom: 1.25rem;
    font-family: 'TTHoves Regular';
}

.review-text-main p strong, 
.review-text-main strong {
    color: var(--bi-blue);
}

.review-text-sub {
    color: rgba(41, 41, 41, 0.5);
    font-family: "TTHoves Regular"
}

.review-footer {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    border-bottom: 1px solid rgba(41,41,41,0.3);
    padding-bottom: 2rem;
}

.author-name {
    color: var(--bi-black);
    font-family: "Manrope";
    margin-bottom: 0.3125rem;
}

.author-info {
    font-size: 1.25rem;
    color: rgba(41, 41, 41, 0.5);
    font-family: "Manrope";
}

.review-stars {
    color: var(--bi-blue);
    font-size: 2.1875rem;
    letter-spacing: 0.125em;
}

.reviews-left-side {
    display: flex;
    align-items: center;
    gap: 1.5rem; 
    width: 20rem;
    flex-shrink: 0;
    position: relative;
    background-color: transparent;
}

.reviews-progress-bar {
    width: 2px;
    height: 100%;
    background-color: rgba(41, 41, 41, 0.1);
    position: relative;
    display: block;
}

.reviews-progress-bar .progress-filled {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background-color: var(--bi-blue);
    transition: height 0.4s ease;
}

.reviews-thumbs {
    width: 100%;
    height: 100%;
}

.thumb-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    overflow: hidden;
    padding: 0;
    height: 7.6875rem !important; 
    transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1), 
                height 0.4s cubic-bezier(0.25, 1, 0.5, 1);
    will-change: height, transform;
}

.review-avatar {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: grayscale(100%); 
    opacity: 0.5;
    transition: filter 0.4s ease, opacity 0.4s ease;
}

.swiper-slide-thumb-active .review-avatar {
    filter: none;
    opacity: 1;
}

.reviews-thumbs .swiper-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    transform: none;
    gap: 0.625rem;
}

.reviews-thumbs .thumb-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    overflow: hidden;
    
    width: 100% ;
    height: auto ;
    
    flex-grow: 1; 
    flex-shrink: 1;
    transition: flex-grow 0.4s ease, filter 0.4s ease, opacity 0.4s ease;
}

.reviews-thumbs .thumb-slide.swiper-slide-thumb-active {
    flex-grow: 0; 
    flex-shrink: 0;
    height: 17.1875rem !important;
}
@media (max-width: 768px) {
    .reviews-heading {
        text-align: center;
        margin-bottom: 1.875rem;
        font-size: 2.5rem;
    }
    .review-text-main {
        font-size: 1.5rem;
        margin-bottom: 0.9375rem;
    }
    .author-name {
        margin-bottom: 0;
    }
    .reviews-dual-slider {
        flex-direction: column; 
        background-color: transparent; 
        gap: 2rem;
        margin: 0;
    }

    .reviews-main {
        width: 100%;
        padding: 2.5rem 1.25rem;
        background-color: var(--bi-white);
        box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.03); 
    }

    .review-body {
        margin-bottom: 3.5rem; 
    }

    .review-footer {
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 0.3125rem;
        border-bottom: none; 
        padding-bottom: 0;
    }

    .review-stars {
        font-size: 1.5rem; 
        margin-bottom: 0.5rem;
    }

    .author-info {
        font-size: 1rem; 
    }

    .reviews-left-side {
        width: 100%;
        flex-direction: column; 
        gap: 1rem;
        order: 2;
    }

    .reviews-thumbs .swiper-wrapper {
        flex-direction: row;
        width: 100%;
        transform: translate3d(0px, 0px, 0px) !important;
    }

    .reviews-thumbs {
        width: 100%;
        height: 7.6875rem; 
    }

    .reviews-thumbs .thumb-slide {
		width: 7.5rem;
        height: 100%;
        padding: 0 5px; 
        margin-right: 0 !important;
        flex-grow: 1; 
        flex-shrink: 0;
        transition: flex-grow 0.4s ease, filter 0.4s ease, opacity 0.4s ease;
    }

    .reviews-thumbs .thumb-slide.swiper-slide-thumb-active {
        flex-grow: 1;
        flex-shrink: 1;
        height: 7.6875rem !important;
		width: 7.5rem;
    }

    .reviews-progress-bar {
        width: 100%;
        height: 2px;
        background-color: rgba(41, 41, 41, 0.1);
        order: 2; 
        margin-top: 0.5rem;
    }

    .reviews-progress-bar .progress-filled {
        top: 0;
        left: 0;
        height: 100%;
        width: 0%; 
        transition: width 0.4s ease; 
    }
    
    .reviews-main::before {
		left: -2rem;
    	bottom: 0;
    	transform: translateY(0);
    }
}